SitePoint Sponsor

User Tag List

Results 1 to 2 of 2
  1. #1
    SitePoint Member
    Join Date
    Jul 2006
    Posts
    3
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    help needed, php install fails

    -Running Win2k SP4
    -Installed and ran Apache HTTP Server both versions 2.058 & 2.2.2 seprately, they run fine
    -Installed PHP 5.1.4 and the fun begins here

    I understand PHP 5.1.4 doesn't work with Apache 2.2.2, so I used it with 2.058, same problem.

    As per manual by php.net, I added the following to httpd config file:

    ScriptAlias /php/ "c:/php/"
    AddType application/x-httpd-php .php
    Action application/x-httpd-php "/php/php.exe"
    Action application/x-httpd-php "/php/php-cgi.exe"

    Restared the server, created test.php htdocs directory where the server is installed, Internet Explorer tells me which program should open the test.php file. Other times I get "page can't be displayed". I have the same problem with both Apache 2.2.2 and 2.058.

    I've tried installing PHP both manually and using windows installer, there is something wrong and I can't figure it.

  2. #2
    PHP Brainiac dg_den_golotyuk's Avatar
    Join Date
    Jul 2006
    Location
    Kiev, Ukraine
    Posts
    335
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Try inserting this lines:

    LoadModule php5_module php5apache2.dll
    AddType application/x-httpd-php .php5
    AddType application/x-httpd-php .php

    This will install PHP as Apache module. You must copy php5apache2.dll file into the apache root and php5ts.dll into win\system32
    DG [Den Golotyuk], Lead Developer
    Chestnut Software
    Avoid web outsourcing scams!
    Click here
    for a free downloadable report


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •